Stories satisfaction statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get stories satisfaction stats for a given period. The satisfaction are collected thanks to User Feedback step. There can be one User Feedback step per story. This endpoint allow to get the satisfaction per story.

Response

AttributeTypeDescription
data[].typestringalways "story_satisfaction"
data[].storyNamestringthe story name
data[].storyIDstringthe story ID
data[].positiveRatingsCountintthe number of positive ratings
data[].negativeRatingsCountintthe numbers of negative ratings
data[].ratingsCountinttotal number of ratings received
data[].satisfactionStepExecutionsCountintnumber of times satisfaction was asked
data[].positiveRatingsPercentfloatpercentage of positive ratings
data[].negativeRatingsPercentfloatpercentage of negative ratings
data[].satisfactionCompletionPercentfloatpercentage of person that completed the satisfaction
{
    "data": [
        {
            "type": "story_satisfaction",
            "storyName": "story 27",
            "storyID": "a27a27a27a27a27a27a27a27",
            "positiveRatingsCount": 55,
            "negativeRatingsCount": 24,
            "ratingsCount": 79,
            "satisfactionStepExecutionsCount": 95,
            "positiveRatingsPercent": 0.6962025316,
            "negativeRatingsPercent": 0.3037974684,
            "satisfactionCompletionPercent": 0.8315789474
        }
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

string
Defaults to -ratings_count

column to sort (prefix with - ou +) the results upon (can be one of ratings_count, positive_ratings_count, negative_ratings_count)

string

search story by name (case insensitive)

int32

number of results per page

int32
Defaults to 1

page of results

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json